最新消息:20190717 VPS服务器:Vultr新加坡,WordPress主题:大前端D8,统一介绍入口:关于

【已解决】音频片段:需要 Adobe Flash Player(9 或以上版本)播放音频片段。 点击这里下载最新版本。您需要开启浏览器的 JavaScript 支持

WordPress crifan 869浏览 0评论

【背景】

最近通过WLW向wordpress上发布了一个帖子【歌曲推荐】怕了你 – Hit5,其中用到了Audio Player插件所支持的格式去播放一首歌曲,但是发布出来的结果,歌曲无法播放,对应Audio Player插件所在位置显示:

音频片段:需要 Adobe Flash Player(9 或以上版本)播放音频片段。 点击这里下载最新版本。您需要开启浏览器的 JavaScript 支持

始终无法显示对应的播放器,也就无法播放歌曲了。

【解决过程】

1.对于这个显示的内容,之前就已经见过,一般是多刷新几次页面,也就正常了,可以出现播放器了。

但是此处刷新了多次页面,也还是没有出现。

2.去adobe官网下载并安装了最新的Adobe Flash Player 11,结果也还是无法播放歌曲。

3.怀疑是当前所用的IE浏览器设置有问题,就去检查了一下相关的activex,javascript等的设置,好像没发现什么异常。

4.也去试了,用chrome浏览器打开该页面,结果也是无法出现播放器,无法播放歌曲。

5.后来登陆wordpress后台管理页面,去看看通过WLW发布的帖子的源码到底是不是所期望的,结果去编辑该贴看html源码,发现源码也很正常。不过突然注意到,原来由于自己的不小心,把audio player所支持的代码写错了,漏写了titles=,如图所示:

导致audio player插件无法识别,才显示出上面的那段提示的.

然后添加了titles=之后,就解决了问题,播放器就可以显示了:

就可以用播放器播放歌曲了。

【总结】

使用wordpress的audio player插件的时候,如果是手动输入代码的话,要注意,不要写错了代码,否则会导致错误提示“音频片段:需要 Adobe Flash Player(9 或以上版本)播放音频片段。 点击这里下载最新版本。您需要开启浏览器的 JavaScript 支持”,无法出现播放器。

转载请注明:在路上 » 【已解决】音频片段:需要 Adobe Flash Player(9 或以上版本)播放音频片段。 点击这里下载最新版本。您需要开启浏览器的 JavaScript 支持

发表我的评论
取消评论

表情

Hi,您需要填写昵称和邮箱!

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址

网友最新评论 (1)

  1. 出现这个情况还有可能是主题没有添加wp_header或者wp_footer 具体的在官方说的很清楚 http://wpaudioplayer.com/support/troubleshooting/
    kevinlp8年前 (2012-03-03)回复
62 queries in 0.110 seconds, using 18.90MB memory